package br.edu.fei.dcc.raciocinioespacial.editor.shapes.properties.validators;

import org.eclipse.jface.viewers.ICellEditorValidator;

public class FloatValidator implements ICellEditorValidator {

	public String isValid(Object value) {
		float floatValue = -1;
		try { 
			floatValue = Float.parseFloat((String) value);
		} catch (NumberFormatException exc) {
			return "No  um nmero";
		}
		return (floatValue >= 0) ? null : "O valor precisa ser maior que 0.";
	}

}
