package br.edu.fei.dcc.raciocinioespacial.simulador.movimentacao;

public class TransicaoPasso {
	@Override
	public boolean equals(Object o) {
		if(o instanceof TransicaoPasso)
		{
			return ((((TransicaoPasso)o).getPassoAnterior()==this.passoAnterior)&&(((TransicaoPasso)o).getPassoAtual()==this.passoAtual));
		}
		return false;
	}

	private int passoAnterior;
	private int passoAtual;
	private float instante;
	public TransicaoPasso(int passoAnterior, int passoAtual, float instante) {
		super();
		this.passoAnterior = passoAnterior;
		this.passoAtual = passoAtual;
		this.instante = instante;
	}
	public int getPassoAnterior() {
		return passoAnterior;
	}
	public int getPassoAtual() {
		return passoAtual;
	}
	
	public static TransicaoPasso TransicaoInicial()
	{
		return new TransicaoPasso(0,0,0);
	}
	
	public static TransicaoPasso TransicaoFinal()
	{
		return new TransicaoPasso(-1,-1,-1);
	}
	public float getInstante() {
		return instante;
	}	
}