package br.edu.fei.dcc.raciocinioespacial.simulador.entidades;

import java.awt.geom.Rectangle2D;
import java.awt.geom.RectangularShape;

public class Street2D implements IEntidade {
	private static final long serialVersionUID = 1L;

	private String sName;
	private int iX;
	private int iY;
	private int iHeight;
	private int iWidth;

	public Street2D(int aX, int aY, int aHeight, int aWidth, String aNameStreet){
		this.setX(aX);
		this.setY(aY);
		this.setNome(aNameStreet);
		this.iHeight = aHeight;
		this.iWidth  = aWidth;
	}

	@Override
	public int getX() {
		return iX;
	}

	@Override
	public void setX(int ix) {
		iX = ix;
	}

	@Override
	public int getY() {
		return iY;
	}

	@Override
	public void setY(int iy) {
		iY = iy;
	}
	
	@Override
	public IEntidade criarEntidade() {
		return this;
	}

	@Override
	public int getHeight() {
		return iHeight;
	}

	@Override
	public void setHeight(int height) {
		iHeight = height;
	}

	@Override
	public int getWidth() {
		return iWidth;
	}

	@Override
	public String getNome() {
		return sName;
	}

	@Override
	public void setNome(String nome) {
		sName = nome;
	}

	@Override
	public void setWidth(int width) {
		iWidth = width;
	}
	
	public RectangularShape getRect2D()
	{
		Rectangle2D retorno = null;
		retorno = new Rectangle2D.Float(iX, iY, this.getWidth(), this.getHeight());
		return retorno;
	}
}
