package br.edu.fei.dcc.raciocinioespacial.simulador.execucao;

import java.awt.Color;
import java.awt.Point;
import java.util.Random;

import br.edu.fei.dcc.raciocinioespacial.simulador.entidades.IEntidade2D;
import br.edu.fei.dcc.raciocinioespacial.simulador.entidades.Pedestrian2D;
import br.edu.fei.dcc.raciocinioespacial.simulador.entidades.Agent2D;
import br.edu.fei.dcc.raciocinioespacial.simulador.simulacao.Simulacao;

public class SimulacaoAleatoria extends Simulacao {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Random rd;
	
	private int proximoAleatorio(int base)
	{
		double next = Math.abs(this.rd.nextGaussian());
		if(next>1) next = next % 1;
		int retorno = (int)(next*base);
		if(retorno==0)
			return base;
		return retorno;
	}
	
	/*private IEntidade2D gerarObservadorAleatorio()
	{
		IEntidade2D retorno = new Agent2D(this.proximoAleatorio(800), this.proximoAleatorio(600),this.proximoAleatorio(10),"obs", Color.BLACK, this.proximoAleatorio(200), this.proximoAleatorio(180)); //$NON-NLS-1$
		int qtdPontos = this.proximoAleatorio(8);
		for(int i=0; i<qtdPontos; i++)
		{
			Point novo = this.gerarPontoAleatorio();
			retorno.getPontos().addPoint(novo.x, novo.y);
		}
		return retorno;
	}
	
	private IEntidade2D gerarObjetoAleatorio()
	{
		IEntidade2D retorno = new Pedestrian2D(this.proximoAleatorio(800), this.proximoAleatorio(600), this.proximoAleatorio(10),"obs", Color.BLACK); //$NON-NLS-1$
		int qtdPontos = this.proximoAleatorio(8);
		for(int i=0; i<qtdPontos; i++)
		{
			Point novo = this.gerarPontoAleatorio();
			retorno.getPontos().addPoint(novo.x, novo.y);
		}
		return retorno;
	}
	
	private Point gerarPontoAleatorio()
	{
		return new Point(this.proximoAleatorio(800), this.proximoAleatorio(600));
	}
	*/
	public SimulacaoAleatoria()
	{
		super(true, false, null);
		/*this.rd = new Random();
		
		this.getSimulacaoAleatoria().setAgent(this.gerarObservadorAleatorio());
		
		int qtdObjetos = this.proximoAleatorio(10);
		
		for(int i=0; i<qtdObjetos; i++)
		{
			this.getSimulacaoAleatoria().getObjetos().add(this.gerarObjetoAleatorio());
		}*/
	}

	public Simulacao getSimulacaoAleatoria() {
		return this;
	}
}